org.apache.calcite.avatica

## Class ColumnMetaData.ArrayType

- java.lang.Object
- - org.apache.calcite.avatica.ColumnMetaData.AvaticaType
  - - org.apache.calcite.avatica.ColumnMetaData.ArrayType

Enclosing class:
  ColumnMetaData

    public static class ColumnMetaData.ArrayType
    extends ColumnMetaData.AvaticaType

Array type.

### Field Summary

Fields
`ColumnMetaData.AvaticaType` `component`

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData.ArrayType(int type, String typeName, ColumnMetaData.Rep representation, ColumnMetaData.AvaticaType component)` Not for public use.

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`Common.AvaticaType` `toProto()`

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, fromProto, setRep`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### component

    public final ColumnMetaData.AvaticaType component

### Constructor Detail

#### ColumnMetaData.ArrayType

    public ColumnMetaData.ArrayType(int type,
                            String typeName,
                            ColumnMetaData.Rep representation,
                            ColumnMetaData.AvaticaType component)

Not for public use. Use `ColumnMetaData.array(AvaticaType, String, Rep)`.

### Method Detail

#### toProto

    public Common.AvaticaType toProto()

Overrides:
  `toProto` in class `ColumnMetaData.AvaticaType`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ColumnMetaData.AvaticaType`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `ColumnMetaData.AvaticaType`